<Project Sdk="Microsoft.NET.Sdk">
	<Import Project="$(SolutionDir)Program.props" />
	<PropertyGroup>
		<TargetFramework>net472</TargetFramework>
		<OutputType>Library</OutputType>
		<AssemblyName>ProgramGui</AssemblyName>
		<UseWPF>true</UseWPF>
		<Description>NGSRI Program GUI</Description>
		<Company>Raytheonn Technologies</Company>
		<Product>NGSRI Program GUI</Product>
		<Authors>TEEC</Authors>
		<Copyright>Copyright © Raytheon Technologies $([System.DateTime]::get_now().ToString("yyyy"))</Copyright>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
		<AllowedOutputExtensionsInPackageBuildOutputFolder>$(AllowedOutputExtensionsInPackageBuildOutputFolder);.pdb</AllowedOutputExtensionsInPackageBuildOutputFolder>

		<!-- Prevent Git Commit Hash to be appended to Version information -->
		<IncludeSourceRevisionInInformationalVersion>false</IncludeSourceRevisionInInformationalVersion>
		<!-- Dynamic Versioning -->
		<!--<Version>$(Version)$(Suffix)</Version>-->

		<!-- Static Versioning -->
		<Version>1.0.0</Version>
		<Configurations>Debug;Release;Deploy</Configurations>
		<ApplicationIcon>Resources\Icons\app.ico</ApplicationIcon>
		<LangVersion>8.0</LangVersion>
	</PropertyGroup>

	<ItemGroup>
	  <None Remove="Resources\Icons\Thumbs.db" />
	  <None Remove="Resources\Images\red-led.png" />
	  <None Remove="Resources\Images\Title_Bar_Buttons\Thumbs.db" />
	  <None Remove="Resources\Images\yellow-led.png" />
	</ItemGroup>

	<ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
		<PackageReference Include="CommunityToolkit.Mvvm" Version="8.3.2" />
	</ItemGroup>

	<!-- Copy pdb files for DLLs in nuget packages to output directory-->
	<Target Name="IncludeSymbolFiles" AfterTargets="ResolveAssemblyReferences" Condition="@(ReferenceCopyLocalPaths) != ''">
		<ItemGroup>
			<ReferenceCopyLocalPaths Include="%(ReferenceCopyLocalPaths.RelativeDir)%(ReferenceCopyLocalPaths.Filename).pdb" />
			<ReferenceCopyLocalPaths Remove="@(ReferenceCopyLocalPaths)" Condition="!Exists('%(FullPath)')" />
		</ItemGroup>
	</Target>

	<ItemGroup>
		<Reference Include="System.Windows" />
	</ItemGroup>

	<ItemGroup>
	  <Resource Include="Resources\Icons\app.ico" />
	  <Resource Include="Resources\Images\black-led.png" />
	  <Resource Include="Resources\Images\green-check-mark.png" />
	  <Resource Include="Resources\Images\green-led.png" />
	  <Resource Include="Resources\Images\missile.png" />
	  <Resource Include="Resources\Images\red-cross-mark.png" />
	  <Resource Include="Resources\Images\red-led.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\close_black.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\close_white.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\maximize.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\minimize.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\restore.png" />
	  <Resource Include="Resources\Images\yellow-led.png" />
	</ItemGroup>

</Project>
